Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.jzos.recordgen.asm
Class ADataDCDSRecord

    java.lang.Object
      com.ibm.jzos.recordgen.asm.ADataRecord
          com.ibm.jzos.recordgen.asm.ADataDCDSRecord

    public class ADataDCDSRecord

extends ADataRecord

Maps a Adata DCDS record.

See Also:
  `ADataRecord`

Field Summary
`protected static BinaryAsIntField` | `_ADDCDS_ESDID`
`protected static BinaryAsIntField` | `_ADDCDS_OPS_NUM`
`protected static BinaryAsIntField` | `_ADDCDS_OPS_OFF`
`protected static BinaryAsIntField` | `_ADDCDS_STMT`
`protected static BinaryAsIntField` | `_ADDCDS_TYPE_FLAG`
`static int` | `ADATA_EDNDCDS`
`static int` | `ADATA_RECDCDS`
`static int` | `ADDCDS_TEXT_REC`
`static int` | `ADDCDS_TYPE_CCW`
`static int` | `ADDCDS_TYPE_CXD`
`static int` | `ADDCDS_TYPE_DC`
`static int` | `ADDCDS_TYPE_DS`
`static int` | `ADDCDS_TYPE_DXD`
`static int` | `HEADER_LEN`

Fields inherited from class com.ibm.jzos.recordgen.asm.ADataRecord
`_ADATA_CONT, _ADATA_DATA_LEN, _ADATA_EDITION, _ADATA_LEVEL, _ADATA_RECTYPE, _ADATA_VERSION, ADATA_EQU_LEN, ADATA_ISCONT, ADATA_L1, ADATA_L2, ADATA_L3, ADATA_LVL, ADATA_NOTCONT, ADATA_VERASM, bytes, factory`

Constructor Summary
`ADataDCDSRecord(byte[] buffer)` Construct an instance on an existing byte array.

Method Summary
`void` | `dumpOn(java.io.Writer writer)` Write a (debug) dump of the receiver on a Writer
`int` | `getESDID()`
`ADataDCDSOperand` | `getFirstOperand()`
`int` | `getOPS_NUM()`
`int` | `getOPS_OFF()`
`int` | `getSTMT()`
`int` | `getSupportedEdition()` Answer the edition number that this (subtype instance) supports.
`int` | `getTYPE_FLAG()`

Methods inherited from class com.ibm.jzos.recordgen.asm.ADataRecord
`getBytes, getCONT, getDATA_LEN, getEDITION, getLEVEL, getRECTYPE, getVERSION, setBytes, setCONT, setDATA_LEN`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HEADER_LEN

    public static final int HEADER_LEN

See Also:
  Constant Field Values

### ADATA_RECDCDS

    public static final int ADATA_RECDCDS

See Also:
  Constant Field Values

### ADATA_EDNDCDS

    public static final int ADATA_EDNDCDS

See Also:
  Constant Field Values

### _ADDCDS_ESDID

    protected static BinaryAsIntField _ADDCDS_ESDID

### ADDCDS_TYPE_DC

    public static final int ADDCDS_TYPE_DC

See Also:
  Constant Field Values

### ADDCDS_TYPE_DS

    public static final int ADDCDS_TYPE_DS

See Also:
  Constant Field Values

### ADDCDS_TYPE_CXD

    public static final int ADDCDS_TYPE_CXD

See Also:
  Constant Field Values

### ADDCDS_TYPE_CCW

    public static final int ADDCDS_TYPE_CCW

See Also:
  Constant Field Values

### ADDCDS_TYPE_DXD

    public static final int ADDCDS_TYPE_DXD

See Also:
  Constant Field Values

### ADDCDS_TEXT_REC

    public static final int ADDCDS_TEXT_REC

See Also:
  Constant Field Values

### _ADDCDS_TYPE_FLAG

    protected static BinaryAsIntField _ADDCDS_TYPE_FLAG

### _ADDCDS_STMT

    protected static BinaryAsIntField _ADDCDS_STMT

### _ADDCDS_OPS_NUM

    protected static BinaryAsIntField _ADDCDS_OPS_NUM

### _ADDCDS_OPS_OFF

    protected static BinaryAsIntField _ADDCDS_OPS_OFF

Constructor Detail

### ADataDCDSRecord

    public ADataDCDSRecord(byte[] buffer)

  Construct an instance on an existing byte array.

  Parameters:
    `buffer` - the byte array used as backing memory for the structure

Method Detail

### getSupportedEdition

    public int getSupportedEdition()

  Answer the edition number that this (subtype instance) supports.

  Overrides:
    `getSupportedEdition` in class `ADataRecord`

### getESDID

    public int getESDID()

### getTYPE_FLAG

    public int getTYPE_FLAG()

### getOPS_NUM

    public int getOPS_NUM()

### getOPS_OFF

    public int getOPS_OFF()

### getSTMT

    public int getSTMT()

### getFirstOperand

    public ADataDCDSOperand getFirstOperand()

### dumpOn

    public void dumpOn(java.io.Writer writer)
                throws java.io.IOException

  Write a (debug) dump of the receiver on a Writer

  Overrides:
    `dumpOn` in class `ADataRecord`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD